Subject: Re: git pull unclear manual

From: Sergey Organov <[email-masked]>
Date: Sun, 07 Mar 2021 21:57:33 +0300

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>> Do you think the manual needs some improvement still?
>
> My reading is already tainted by using Git for a long time, so I
> won't be the best person to judge what's missing in the manual.
>
>> I mean, I'd then expect something like this as the SYNOPSIS:
>>
>> "git-pull - Fetch from and integrate with another or current repository"
>> ...
>>   git-fetch - Download objects and refs from *another repository*
>
> Just replacing "another repository" with "a repository", the latter
> of which includes the current one, would be sufficient, perhaps?

Yeah, just "a repository" is fine with me, perhaps followed by a note in
the DESCRIPTION that the current one is indeed included.

-- Sergey